package org.ow2.util.ee.metadata.ejbjar.impl.configurator;

import java.util.List;

import org.ow2.util.ee.deploy.api.deployable.EJBDeployable;
import org.ow2.util.ee.metadata.common.impl.configurator.CommonFieldMetadataConfigurator;
import org.ow2.util.ee.metadata.ejbjar.api.IEjbJarClassMetadata;
import org.ow2.util.ee.metadata.ejbjar.api.IEjbJarFieldMetadata;
import org.ow2.util.ee.metadata.ejbjar.api.IEjbJarMethodMetadata;
import org.ow2.util.ee.metadata.ejbjar.impl.EjbJarFieldMetadata;
import org.ow2.util.scan.api.configurator.metadata.specific.ISpecificClassConfigurator;
import org.ow2.util.scan.api.metadata.structures.JField;

/**
 * EjbJarFieldMetadataConfigurator.
 * @param <E> deployable type
 * @author Gael Lalire
 */
public class EjbJarFieldMetadataConfigurator<E extends EJBDeployable<E>> extends
        CommonFieldMetadataConfigurator<IEjbJarClassMetadata<E>, IEjbJarMethodMetadata<E>, IEjbJarFieldMetadata<E>> {

    /**
     * Constructor.
     * @param jField signature
     * @param classAnnotationMetadata parent
     * @param annotationParsingDesactived annotationParsingDesactived
     * @param specificClassConfiguratorList specificClassConfiguratorList
     */
    public EjbJarFieldMetadataConfigurator(
            final JField jField,
            final IEjbJarClassMetadata<E> classAnnotationMetadata,
            final boolean annotationParsingDesactived,
            final List<ISpecificClassConfigurator<IEjbJarClassMetadata<E>, IEjbJarMethodMetadata<E>, IEjbJarFieldMetadata<E>>> specificClassConfiguratorList) {
        super(new EjbJarFieldMetadata<E>(jField, classAnnotationMetadata), specificClassConfiguratorList);

        if (!annotationParsingDesactived) {
            registerAnnotationVisitor();
        }
    }

}
