/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ISpecificEjbJarDeployableFactory.java 3600 2008-07-04 15:25:28Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.specific;

import java.util.Set;

import org.ow2.util.ee.deploy.api.deployable.EJBDeployable;

/**
 * @param <E> deployable type
 * @author Gael Lalire
 */
public interface ISpecificEjbJarDeployableFactory<E extends EJBDeployable<E>> {

    /**
     * @param deployable the deployable
     * @param classNameSet referenced class name
     * @return a specific deployable configurator
     */
    ISpecificEjbJarDeployableMetadataConfigurator<E> beforeScan(E deployable, Set<String> classNameSet);

    /**
     * This method is called when standard metadata is filled.
     */
    void afterScan();

}
