/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EJB3EntityResolver.java 3319 2008-05-27 13:00:31Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.parsing;

import org.ow2.util.xml.SchemaEntityResolver;

/**
 * Entity resolver allowing to find schema within the classloader.
 * @author Florent Benoit
 */
public class EJB3EntityResolver extends SchemaEntityResolver implements IEntityResolver {

    /**
     * All schemas used by EJBs.
     */
    public static final String[] EJB_SCHEMAS = new String[] {PREFIX + EJB3_SCHEMA, PREFIX + EJB2_SCHEMA, PREFIX + CLIENT_SCHEMA,
            PREFIX + JAVAEE5_SCHEMA, PREFIX + J2EE14_SCHEMA, PREFIX + JAVAEE_WEBSERVICES_CLIENT_SCHEMA,
            PREFIX + J2EE_WEBSERVICES_CLIENT_SCHEMA, PREFIX + XML_SCHEMA };

    /**
     * Constructor. Finds the XSD with classloader.
     */
    public EJB3EntityResolver() {
        super(EJB_SCHEMAS);
    }

}
