/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Interceptor.java 3319 2008-05-27 13:00:31Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct;

import org.ow2.util.ee.metadata.ejbjar.impl.xml.struct.common.AbsEnvironment;

/**
 * This class defines the implementation of the element interceptor.
 * @author Florent Benoit
 */
public class Interceptor extends AbsEnvironment {

    /**
     * Name of this element.
     */
    public static final String NAME = "interceptor";

    /**
     * Element &lt;interceptor-class&gt;.
     */
    private String interceptorClass = null;

    /**
     * Constructor.
     */
    public Interceptor() {
        super();
    }

    /**
     * @return the name of the interceptor class.
     */
    public String getInterceptorClass() {
        return interceptorClass;
    }

    /**
     * Sets the name of the interceptor class.
     * @param interceptorClass the name of the interceptor class.
     */
    public void setInterceptorClass(final String interceptorClass) {
        this.interceptorClass = interceptorClass;
    }

}
