/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Listener.java 3319 2008-05-27 13:00:31Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct;

/**
 * Definition of a Listener.
 * @author Florent BENOIT
 */
public class Listener {

    /**
     * Name of this element.
     */
    public static final String NAME = "listener";

    /**
     * Name of the class of this listener.
     */
    private String listenerClassName = null;

    /**
     * @return the name of the class.
     */
    public String getListenerClassName() {
        return listenerClassName;
    }

    /**
     * Sets the name of the class.
     * @param listenerClassName the name of the class.
     */
    public void setListenerClassName(final String listenerClassName) {
        this.listenerClassName = listenerClassName;
    }


}
