/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsResourceGroup.java 3319 2008-05-27 13:00:31Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct.common;

import java.util.ArrayList;
import java.util.List;

/**
 * Defines the java EE resourceGroup type.<br>
 * It defines mapped-name and injection-target
 * @author Florent Benoit
 */
public class AbsResourceGroup {

    /**
     * Default constructor.
     */
    public AbsResourceGroup() {
        injectionTargetList = new ArrayList<InjectionTarget>();
    }

    /**
     * Injection target (if any).
     */
    private List<InjectionTarget> injectionTargetList = null;

    /**
     * Mapped name.
     */
    private String mappedName = null;

    /**
     * Gets the mapped name.
     * @return the mapped name
     */
    public String getMappedName() {
        return mappedName;
    }

    /**
     * Set the mapped name.
     * @param mappedName the given mapped name.
     */
    public void setMappedName(final String mappedName) {
        this.mappedName = mappedName;
    }

    /**
     * @return the injectionTarget list
     */
    public List<InjectionTarget> getInjectionTargetList() {
        return injectionTargetList;
    }

    /**
     * Adds the igiven njection target value.
     * @param injectionTarget value of injectionTarget element
     */
    public void addInjectionTarget(final InjectionTarget injectionTarget) {
        injectionTargetList.add(injectionTarget);
    }
}
