/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ActivationConfig.java 3319 2008-05-27 13:00:31Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct.common;

/**
 * This class defines the implementation of the &lt;activation-config&gt;
 * element.
 * @author Florent Benoit
 */
public class ActivationConfig {

    /**
     * Name of this element.
     */
    public static final String NAME = "activation-config";

    /**
     * Name of the property.
     */
    private String name = null;

    /**
     * Value of the property.
     */
    private String value = null;

    /**
     * Gets the name of the activation config.
     * @return the name of the activation config
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the activation config.
     * @param name the name of the activation config
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * Gets the value of the activation config.
     * @return the value of the activation config
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the activation config.
     * @param value the value of the activation config
     */
    public void setValue(final String value) {
        this.value = value;
    }

}
