/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EJBLocalRef.java 3319 2008-05-27 13:00:31Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct.common;

/**
 * Class representing ejb-local-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class EJBLocalRef extends AbsEJBRef {

    /**
     * Name of this element.
     */
    public static final String NAME = "ejb-local-ref";

    /**
     * Local class (interface).
     */
    private String local = null;

    /**
     * Local Home (interface).
     */
    private String localHome = null;

    /**
     * @return the local element
     */
    public String getLocal() {
        return local;
    }

    /**
     * Sets the value of local element.
     * @param local value of local element
     */
    public void setLocal(final String local) {
        this.local = local;
    }

    /**
     * @return the local home element
     */
    public String getLocalHome() {
        return localHome;
    }

    /**
     * Sets the value of home element.
     * @param localHome value of local home element
     */
    public void setLocalHome(final String localHome) {
        this.localHome = localHome;
    }

}
